CVE PUBLISH(1)

NAME
cve-publish - Publish a CNA container of a CVE record...

SYNOPSIS
cve publish [OPTIONS] CVE_ID

DESCRIPTION
Publish a CNA container of a CVE record for a reserved (or rejected) CVE ID.

If the CVE is already published, this action will update the CNA container in its record. A published CVE can only be moved to the rejected state with an appropriate reject record (see `cve reject`). A published CVE cannot be moved back to the reserved state.

The CNA container can be specified as a string:

  cve publish CVE-2022-1234 -j '{"affected": [], "descriptions": [], "references": {}, ...}'

Or passed in a file:

  cve publish CVE-2022-1234 -f cve.json

For information on the required properties in a given CNA container of a CVE record, see the schema in:

https://cveproject.github.io/cve-schema/schema/docs/

Because the CVE Services API only expects the CNA container contents of the full CVE v5 record, the data you pass to this command can specify just the attributes defined by the cnaPublishedContainer or cnaRejectedContainer subschemas, and not the full schema record.

OPTIONS

-j, --cve-json TEXT
    JSON body of CVE record to publish.

-f, --cve-json-file FILENAME
    File containing JSON body of CVE record to publish.

--raw
    Print response JSON.